blob: 7cb210e0a7e3ce23265ec7b761a77513473bc9b7 [file] [log] [blame]
<?xml version="1.0" encoding="UTF-8"?>
<!--
Licensed to the Apache Software Foundation (ASF) under one or more
contributor license agreements. See the NOTICE file distributed with
this work for additional information regarding copyright ownership.
The ASF licenses this file to You under the Apache License, Version 2.0
(the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<parent>
<groupId>org.apache.camel</groupId>
<artifactId>camel</artifactId>
<version>2.17.0</version>
</parent>
<modelVersion>4.0.0</modelVersion>
<artifactId>camel-parent</artifactId>
<packaging>pom</packaging>
<name>Camel :: Parent</name>
<description>Camel Parent POM</description>
<properties>
<compiler.fork>true</compiler.fork>
<!-- dependency versions -->
<abdera-version>1.1.3</abdera-version>
<!-- Note that activemq dependency is only used for testing! -->
<activemq-version>5.13.2</activemq-version>
<ahc-version>1.9.35</ahc-version>
<ant-bundle-version>1.7.0_6</ant-bundle-version>
<antlr-bundle-version>3.5.2_1</antlr-bundle-version>
<antlr-runtime-bundle-version>3.5.2_1</antlr-runtime-bundle-version>
<aopalliance-bundle-version>1.0_6</aopalliance-bundle-version>
<apacheds-version>2.0.0-M21</apacheds-version>
<apache-gora-version>0.6.1</apache-gora-version>
<apache-mime4j-version>0.7.2</apache-mime4j-version>
<aries-blueprint-api-version>1.0.1</aries-blueprint-api-version>
<aries-blueprint-cm-version>1.0.6</aries-blueprint-cm-version>
<aries-blueprint-core-version>1.4.4</aries-blueprint-core-version>
<aries-blueprint-proxy-version>1.0.1</aries-blueprint-proxy-version>
<aries-blueprint-proxy-impl-version>1.0.4</aries-blueprint-proxy-impl-version>
<aries-util-version>1.1.1</aries-util-version>
<arquillian-version>1.1.11.Final</arquillian-version>
<arquillian-weld-se-embedded-version>1.0.0.CR9</arquillian-weld-se-embedded-version>
<asm-bundle-version>3.3.1_1</asm-bundle-version>
<asm-version>3.3.1</asm-version>
<aspectj-version>1.8.8</aspectj-version>
<atmos-client-version>2.2.2</atmos-client-version>
<atmosphere-version>2.4.3</atmosphere-version>
<atmosphere-version-range>[2.4,3.0)</atmosphere-version-range>
<atomikos-transactions-version>3.9.3</atomikos-transactions-version>
<avalon-bundle-version>4.3.1_1</avalon-bundle-version>
<avalon-version>4.3.1</avalon-version>
<avro-version>1.8.0</avro-version>
<avro-bundle-version>1.8.0_1</avro-bundle-version>
<avro-ipc-bundle-version>1.8.0_1</avro-ipc-bundle-version>
<awaitility.version>1.7.0</awaitility.version>
<aws-java-sdk-bundle-version>1.10.52_1</aws-java-sdk-bundle-version>
<aws-java-sdk-version>1.10.52</aws-java-sdk-version>
<axiom-version>1.2.14</axiom-version>
<backport-util-concurrent-version>3.1</backport-util-concurrent-version>
<bcel-bundle-version>5.2_4</bcel-bundle-version>
<beanio-version>2.1.0</beanio-version>
<beanstalkd-client-version>1.4.6</beanstalkd-client-version>
<bsh-version>2.0b5</bsh-version>
<boon-version>0.33</boon-version>
<bouncycastle-version>1.54</bouncycastle-version>
<boxjavalibv2.version>3.2.1</boxjavalibv2.version>
<braintree-gateway-version>2.55.0</braintree-gateway-version>
<build-helper-maven-plugin-version>1.10</build-helper-maven-plugin-version>
<c3p0-version>0.9.5.2</c3p0-version>
<californium-version>1.0.0-M3</californium-version>
<camel-test-spring-artifactId>camel-test-spring</camel-test-spring-artifactId>
<cassandra-driver-version>2.1.9</cassandra-driver-version>
<cassandra-driver-guava-version>16.0.1</cassandra-driver-guava-version>
<cassandra-version>2.2.2</cassandra-version>
<cassandra-unit-version>2.2.2.1</cassandra-unit-version>
<castor-version>1.3.3</castor-version>
<castor-bundle-version>1.3.3_1</castor-bundle-version>
<cdi-api-1.0-version>1.0-SP4</cdi-api-1.0-version>
<cdi-api-1.1-version>1.1</cdi-api-1.1-version>
<cdi-api-1.2-version>1.2</cdi-api-1.2-version>
<cglib-bundle-version>3.2.0_1</cglib-bundle-version>
<cglib-version>3.2.0</cglib-version>
<chunk-templates-version>3.2.0</chunk-templates-version>
<chunk-templates-bundle-version>3.2.0_1</chunk-templates-bundle-version>
<classmate-version>1.3.1</classmate-version>
<cmis-version>0.13.0</cmis-version>
<cometd-bayeux-version>6.1.11</cometd-bayeux-version>
<cometd-java-client-version>2.4.3</cometd-java-client-version>
<cometd-java-server-bundle-version>2.3.1_2</cometd-java-server-bundle-version>
<cometd-java-server>2.3.1</cometd-java-server>
<commons-beanutils-bundle-version>1.8.3_1</commons-beanutils-bundle-version>
<commons-codec-version>1.10</commons-codec-version>
<commons-collections-version>3.2.2</commons-collections-version>
<commons-compress-version>1.10</commons-compress-version>
<commons-configuration-version>1.9</commons-configuration-version>
<commons-configuration-bundle-version>1.9_1</commons-configuration-bundle-version>
<commons-csv-version>1.1</commons-csv-version>
<commons-cli-version>1.3.1</commons-cli-version>
<commons-daemon-version>1.0.15</commons-daemon-version>
<commons-dbcp-version>1.4</commons-dbcp-version>
<commons-digester-1x-version>1.8.1</commons-digester-1x-version>
<commons-digester-version>2.1</commons-digester-version>
<commons-exec-version>1.3</commons-exec-version>
<commons-httpclient-bundle-version>3.1_7</commons-httpclient-bundle-version>
<commons-io-version>2.4</commons-io-version>
<commons-jexl2-version>2.1.1</commons-jexl2-version>
<commons-jxpath-version>1.3</commons-jxpath-version>
<commons-lang-version>2.6</commons-lang-version>
<commons-lang3-version>3.4</commons-lang3-version>
<commons-logging-version>1.2</commons-logging-version>
<commons-math-version>2.2</commons-math-version>
<commons-math3-version>3.6</commons-math3-version>
<commons-net-version>3.3</commons-net-version>
<commons-pool-version>1.6</commons-pool-version>
<commons-pool2-version>2.4.2</commons-pool2-version>
<commons-vfs2-version>2.0</commons-vfs2-version>
<compress-lzf-version>1.0.3</compress-lzf-version>
<concurrentlinkedhashmap.version>1.4.2</concurrentlinkedhashmap.version>
<cobertura-maven-plugin-version>2.7</cobertura-maven-plugin-version>
<cxf-version>3.1.5</cxf-version>
<cxf-version-range>[3.0,4.0)</cxf-version-range>
<cxf-xjc-plugin-version>3.0.5</cxf-xjc-plugin-version>
<cxf-xjc-utils-version>3.0.5</cxf-xjc-utils-version>
<deltaspike-version>1.5.4</deltaspike-version>
<derby-version>10.11.1.1</derby-version>
<disruptor-version>3.3.4</disruptor-version>
<dnsjava-version>2.1.7</dnsjava-version>
<dnsjava-bundle-version>2.1.7_1</dnsjava-bundle-version>
<docker-guava-version>18.0</docker-guava-version>
<docker-java-version>1.4.0</docker-java-version>
<docker-bundle-version>1.4.0_1</docker-bundle-version>
<dom4j-bundle-version>1.6.1_5</dom4j-bundle-version>
<dozer-version>5.5.1</dozer-version>
<drools-version>6.3.0.Final</drools-version>
<dropbox-version>1.8.2</dropbox-version>
<easymock-version>3.2</easymock-version>
<eclipse-compiler-version>4.2.2</eclipse-compiler-version>
<eclipse-equinox-common-version>3.3.0-v20070426</eclipse-equinox-common-version>
<ehcache-version>2.10.1</ehcache-version>
<egit-github-core-version>2.1.5</egit-github-core-version>
<egit-github-core-bundle-version>2.1.5_1</egit-github-core-bundle-version>
<elasticsearch-bundle-version>2.2.0_1</elasticsearch-bundle-version>
<elasticsearch-guava-version>18.0</elasticsearch-guava-version>
<elasticsearch-version>2.2.0</elasticsearch-version>
<elasticsearch-cluster-runner-version>2.2.0.0</elasticsearch-cluster-runner-version>
<elsql-version>1.2</elsql-version>
<el-api-1.0-version>1.0.1</el-api-1.0-version>
<embedmongo-version>1.50.2</embedmongo-version>
<etcd4j-version>2.10.0</etcd4j-version>
<exec-maven-plugin-version>1.4.0</exec-maven-plugin-version>
<ezmorph-bundle-version>1.0.6_1</ezmorph-bundle-version>
<facebook4j-core-version>2.4.2</facebook4j-core-version>
<facebook4j-core-bundle-version>2.4.2_1</facebook4j-core-bundle-version>
<fastinfoset-version>1.2.13_1</fastinfoset-version>
<felix-configadmin-version>1.8.8</felix-configadmin-version>
<felix-connect-version>0.1.0</felix-connect-version>
<felix-fileinstall-version>3.5.2</felix-fileinstall-version>
<felix-framework-version>3.2.2</felix-framework-version>
<felix-scr-annotations-version>1.9.12</felix-scr-annotations-version>
<findbugs-maven-plugin-version>2.5.2</findbugs-maven-plugin-version>
<flatpack-version>3.4.3</flatpack-version>
<fop-bundle-version>1.1_1</fop-bundle-version>
<fop-version>1.1</fop-version>
<ftpserver-version>1.0.6</ftpserver-version>
<freemarker-bundle-version>2.3.23_1</freemarker-bundle-version>
<freemarker-version>2.3.23</freemarker-version>
<gentlyweb-bundle-version>1.5_1</gentlyweb-bundle-version>
<geocoder-java-version>0.16</geocoder-java-version>
<geronimo-annotation-1.0-spec-version>1.1.1</geronimo-annotation-1.0-spec-version>
<geronimo-annotation-1.2-spec-version>1.0</geronimo-annotation-1.2-spec-version>
<geronimo-atinject-1.0-spec-version>1.0</geronimo-atinject-1.0-spec-version>
<geronimo-ejb_3.1_spec-version>1.0.2</geronimo-ejb_3.1_spec-version>
<geronimo-el-spec-version>1.0.1</geronimo-el-spec-version>
<geronimo-interceptor-1.1-spec-version>1.0</geronimo-interceptor-1.1-spec-version>
<geronimo-interceptor-1.2-spec-version>1.0</geronimo-interceptor-1.2-spec-version>
<geronimo-j2ee-connector-spec-version>2.0.0</geronimo-j2ee-connector-spec-version>
<geronimo-j2ee-jacc-spec-version>1.1</geronimo-j2ee-jacc-spec-version>
<geronimo-j2ee-management-spec-version>1.1</geronimo-j2ee-management-spec-version>
<geronimo-jcdi-1.0-spec-version>1.0</geronimo-jcdi-1.0-spec-version>
<geronimo-jcdi-1.1-spec-version>1.0</geronimo-jcdi-1.1-spec-version>
<geronimo-jms-spec-version>1.1.1</geronimo-jms-spec-version>
<geronimo-jpa2-spec-version>1.1</geronimo-jpa2-spec-version>
<geronimo-jsp-spec-version>1.1</geronimo-jsp-spec-version>
<geronimo-jta-spec-version>1.1.1</geronimo-jta-spec-version>
<geronimo-servlet-spec-version>1.0</geronimo-servlet-spec-version>
<geronimo-servlet-2.5-spec-version>1.2</geronimo-servlet-2.5-spec-version>
<geronimo-ws-metadata-spec-version>1.1.3</geronimo-ws-metadata-spec-version>
<gmaven-plugin-version>1.4</gmaven-plugin-version>
<gmetric4j-version>1.0.10</gmetric4j-version>
<google-app-engine-version>1.9.32</google-app-engine-version>
<google-app-engine-bundle-version>1.9.32_1</google-app-engine-bundle-version>
<google-gdata-version>1.41.5.w1</google-gdata-version>
<google-gdata-bundle-version>1.41.1_1</google-gdata-bundle-version>
<google-guava-version>19.0</google-guava-version>
<google-api-client-version>1.19.0</google-api-client-version>
<google-api-services-drive-version>v2-rev151-1.19.0</google-api-services-drive-version>
<google-api-services-calendar-version>v3-rev99-1.19.0</google-api-services-calendar-version>
<google-api-services-mail-version>v1-rev15-1.19.0</google-api-services-mail-version>
<google-truth-version>0.27</google-truth-version>
<grizzly-websockets-version>2.3.24</grizzly-websockets-version>
<groovy-version>2.4.6</groovy-version>
<gson-version>2.6.2</gson-version>
<guice3-version>3.0</guice3-version>
<guice-version>4.0</guice-version>
<guice-bundle-version>3.0_1</guice-bundle-version>
<hadoop-bundle-version>1.2.1_1</hadoop-bundle-version>
<hadoop-version>1.2.1</hadoop-version>
<hadoop2-bundle-version>2.7.2_1</hadoop2-bundle-version>
<hadoop2-version>2.7.2</hadoop2-version>
<hamcrest-version>2.0.0.0</hamcrest-version>
<hapi-version>2.2</hapi-version>
<hawtbuf-version>1.11</hawtbuf-version>
<hawtdb-version>1.6</hawtdb-version>
<hawtdispatch-version>1.21</hawtdispatch-version>
<hazelcast-version>3.6</hazelcast-version>
<hbase-version>1.2.0</hbase-version>
<hessian-version>4.0.38</hessian-version>
<hibernate-validator-version>5.2.4.Final</hibernate-validator-version>
<!-- Spring 3.2.x and 4.0.x still stick to JPA 2.0. Hibernate 4.3.x upgraded to JPA 2.1. -->
<hibernate-version>4.2.20.Final</hibernate-version>
<hk2-version>2.3.0</hk2-version>
<hk2-osgi-resource-version>1.0.1</hk2-osgi-resource-version>
<hsqldb-version>2.3.3</hsqldb-version>
<htmlunit.version>2.15</htmlunit.version>
<htmlunit-bundle-version>2.15_1</htmlunit-bundle-version>
<httpunit-version>1.7</httpunit-version>
<httpcore4-version>4.4.4</httpcore4-version>
<httpclient4-version>4.5.2</httpclient4-version>
<httpclient4-olingo2-version>4.4.1</httpclient4-olingo2-version>
<httpasyncclient-version>4.1.1</httpasyncclient-version>
<httpclient-version>3.1</httpclient-version>
<ibatis-bundle-version>2.3.4.726_4</ibatis-bundle-version>
<ibatis-version>2.3.4.726</ibatis-version>
<ical4j-version>1.0.7</ical4j-version>
<ignite-version>1.5.0.final</ignite-version>
<ignite-version-range>[1.5.0-b1,1.6)</ignite-version-range>
<infinispan-version>8.2.0.Final</infinispan-version>
<irclib-bundle-version>1.10_5</irclib-bundle-version>
<irclib-version>1.10</irclib-version>
<ironmq-version>3.0.3</ironmq-version>
<isorelax-bundle-version>20050913_4</isorelax-bundle-version>
<isorelax-version>20090621</isorelax-version>
<isorelax-jaxp-bridge-version>1.1</isorelax-jaxp-bridge-version>
<ivy-version>2.4.0</ivy-version>
<jini-version>2.1</jini-version>
<jackson-version>1.9.12</jackson-version>
<jackson-spark-version>2.4.5</jackson-spark-version>
<jackson2-scala-version>2.6.1</jackson2-scala-version>
<jackson2-version>2.7.2</jackson2-version>
<jackrabbit-version>2.12.1</jackrabbit-version>
<jackrabbit-guava-version>15.0</jackrabbit-guava-version>
<jain-sip-ri-bundle-version>1.2.154_2</jain-sip-ri-bundle-version>
<jasper-bundle-version>6.0.44_1</jasper-bundle-version>
<jasypt-bundle-version>1.9.2_1</jasypt-bundle-version>
<jasypt-version>1.9.2</jasypt-version>
<java-apns-bundle-version>1.0.0.Beta6_1</java-apns-bundle-version>
<java-apns-version>1.0.0.Beta6</java-apns-version>
<java-ewah-version>0.7.9</java-ewah-version>
<java-nats-version>0.5.2</java-nats-version>
<java-nats-bundle-version>0.5.2_1</java-nats-bundle-version>
<javacc-maven-plugin-version>2.6</javacc-maven-plugin-version>
<javacrumbs-version>0.22</javacrumbs-version>
<javassist-bundle-version>3.12.1.GA_3</javassist-bundle-version>
<javax.el-api-version>2.2.5</javax.el-api-version>
<javax.el-version>2.2.5</javax.el-version>
<javax-inject-bundle-version>1_2</javax-inject-bundle-version>
<javax-mail-version>1.5.5</javax-mail-version>
<javax.servlet-api-version>3.1.0</javax.servlet-api-version>
<jaxb-bundle-version>2.2.6_1</jaxb-bundle-version>
<jaxen-version>1.1.6</jaxen-version>
<jbpm-version>6.3.0.Final</jbpm-version>
<jboss-javaee-6-version>1.0.0.Final</jboss-javaee-6-version>
<jboss-logging-version>3.3.0.Final</jboss-logging-version>
<jboss-marshalling-version>1.4.10.Final</jboss-marshalling-version>
<jboss-xnio-version>3.3.6.Final</jboss-xnio-version>
<jcache-bundle-version>1.0.0_1</jcache-bundle-version>
<jclouds-version>1.9.2</jclouds-version>
<!-- jclouds must use this guava version -->
<jclouds-google-guava-version>16.0.1</jclouds-google-guava-version>
<jclouds-google-guava-version-range>[16.0,17.0)</jclouds-google-guava-version-range>
<jcommander-version>1.48</jcommander-version>
<jcr-version>2.0</jcr-version>
<jdom-bundle-version>1.1_4</jdom-bundle-version>
<jdom-version>1.1.3</jdom-version>
<jedis-client-version>2.7.3</jedis-client-version>
<jedis-client-bundle-version>2.7.3_1</jedis-client-bundle-version>
<jersey-version>2.11</jersey-version>
<jetty6-bundle-version>6.1.26_4</jetty6-bundle-version>
<jetty6-version>6.1.26</jetty6-version>
<jetty8-version>8.1.17.v20150415</jetty8-version>
<jetty9-version>9.2.15.v20160210</jetty9-version>
<jetty-version>${jetty8-version}</jetty-version>
<!-- jetty-plugin 8.1.7 does not exists -->
<jetty-plugin-version>8.1.16.v20140903</jetty-plugin-version>
<jetty-runner-groupId>org.mortbay.jetty</jetty-runner-groupId>
<jettison-version>1.3.7</jettison-version>
<jgit-version>4.2.0.201601211800-r</jgit-version>
<jgroups-version>3.6.8.Final</jgroups-version>
<jibx-version>1.2.6</jibx-version>
<jing-bundle-version>20030619_5</jing-bundle-version>
<jing-version>20030619</jing-version>
<jline-version>2.13</jline-version>
<jmockit-version>1.5</jmockit-version>
<jodatime-bundle-version>1.6.2</jodatime-bundle-version>
<jodatime2-bundle-version>2.9.2</jodatime2-bundle-version>
<jolokia-version>1.3.3</jolokia-version>
<jolt-version>0.0.20</jolt-version>
<jolt-bundle-version>0.0.20_1</jolt-bundle-version>
<josql-bundle-version>1.5_5</josql-bundle-version>
<josql-version>1.5</josql-version>
<jruby-version>1.7.18</jruby-version>
<jsendnsca-version>1.3.1</jsendnsca-version>
<jsmpp-version>2.1.1</jsmpp-version>
<jsch-version>0.1.53</jsch-version>
<jsch-bundle-version>0.1.53_1</jsch-bundle-version>
<jsendnsca-bundle-version>1.3.1_3</jsendnsca-bundle-version>
<jsonlib-bundle-version>2.4_1</jsonlib-bundle-version>
<jsonlib-version>2.4</jsonlib-version>
<json4s-bundle-version>3.2.8_1</json4s-bundle-version>
<json-asm-version>1.0.2</json-asm-version>
<json-accessors-smart-version>1.1</json-accessors-smart-version>
<!-- json-path 2.2.0 has OSGi bug: https://github.com/jayway/JsonPath/issues/208 -->
<json-path-version>2.1.0</json-path-version>
<json-simple-version>1.1.1</json-simple-version>
<json-smart-version>2.2.1</json-smart-version>
<jsp-api-2.1-version>1.0.1</jsp-api-2.1-version>
<jsr311-api-version>1.1.1</jsr311-api-version>
<jsmpp-bundle-version>2.1.0_4</jsmpp-bundle-version>
<jt400-version>8.7</jt400-version>
<jt400-bundle-version>8.7_1</jt400-bundle-version>
<juel-bundle-version>2.1.3_1</juel-bundle-version>
<juel-version>2.1.3</juel-version>
<!-- camel-itest-karaf doesn't work with JUnit 4.12 at present -->
<junit-bundle-version>4.11_1</junit-bundle-version>
<junit-version>4.11</junit-version>
<jython-version>2.5.3</jython-version>
<jzlib-version>1.1.3</jzlib-version>
<jzlib-bundle-version>1.1.3_2</jzlib-bundle-version>
<kafka-version>0.9.0.1</kafka-version>
<karaf-version>2.4.4</karaf-version>
<karaf3-version>3.0.6</karaf3-version>
<karaf4-version>4.0.4</karaf4-version>
<kie-version>6.3.0.Final</kie-version>
<krati-version>0.4.9</krati-version>
<kubernetes-client-version>1.3.74</kubernetes-client-version>
<kubernetes-model-version>1.0.43</kubernetes-model-version>
<kxml2-bundle-version>2.3.0_3</kxml2-bundle-version>
<leveldbjni-version>1.8</leveldbjni-version>
<!-- virtual dependency only used by Eclipse m2e -->
<lifecycle-mapping-version>1.0.0</lifecycle-mapping-version>
<log4j-version>1.2.17</log4j-version>
<log4j2-version>2.5</log4j2-version>
<logback-version>1.1.5</logback-version>
<lucene3-bundle-version>3.6.0_1</lucene3-bundle-version>
<lucene3-version>3.6.0</lucene3-version>
<lucene-bundle-version>5.4.1_1</lucene-bundle-version>
<lucene-version>5.4.1</lucene-version>
<lucene-version-range>[5,6)</lucene-version-range>
<lightcouch-version>0.1.8</lightcouch-version>
<lightcouch-gson-version>2.3.1</lightcouch-gson-version>
<lightcouch-bundle-version>0.1.8_2</lightcouch-bundle-version>
<!-- needed from tooling/archetypes -->
<!-- use antrun 1.6 as 1.7 fails with finding tools.jar on java on some platforms -->
<maven-antrun-plugin-version>1.6</maven-antrun-plugin-version>
<maven-archetype-plugin-version>2.0</maven-archetype-plugin-version>
<maven-archetype-packaging-version>2.0</maven-archetype-packaging-version>
<maven-bundle-version>${maven-bundle-plugin-version}</maven-bundle-version>
<!-- problems by upgrading to maven-bundle-plugin 2.4.0 -->
<maven-bundle-plugin-version>2.3.7</maven-bundle-plugin-version>
<maven-checkstyle-plugin-version>2.16</maven-checkstyle-plugin-version>
<!-- AtomicException.java causes a problem with Checksyle > 6.6 due to
https://github.com/checkstyle/checkstyle/issues/1903
-->
<maven-checkstyle-version>6.6</maven-checkstyle-version>
<maven-eclipse-plugin-version>2.10</maven-eclipse-plugin-version>
<maven-javadoc-plugin-version>2.9.1</maven-javadoc-plugin-version>
<maven-jboss-as-maven-plugin-version>7.7.Final</maven-jboss-as-maven-plugin-version>
<maven-remote-resources-plugin-version>1.4</maven-remote-resources-plugin-version>
<!-- resources plugin needed by Camel maven archetypes -->
<maven-resources-plugin-version>2.6</maven-resources-plugin-version>
<maven-reporting-api-version>2.2.1</maven-reporting-api-version>
<maven-reporting-impl-version>2.0.5</maven-reporting-impl-version>
<maven-shade-plugin-version>2.4.1</maven-shade-plugin-version>
<maven-surefire-report-plugin-version>2.13</maven-surefire-report-plugin-version>
<maven-war-plugin-version>2.6</maven-war-plugin-version>
<mchange-commons-java-version>0.2.11</mchange-commons-java-version>
<metrics-version>3.1.2</metrics-version>
<mina-bundle-version>1.1.7_6</mina-bundle-version>
<mina-version>1.1.7</mina-version>
<mina2-version>2.0.13</mina2-version>
<minimal-json-version>0.9.4</minimal-json-version>
<mock-javamail-version>1.9</mock-javamail-version>
<mockito-version>1.9.5</mockito-version>
<mongo-java-driver-version>3.2.2</mongo-java-driver-version>
<mongo-hadoop-version>1.5.0</mongo-hadoop-version>
<mqtt-client-version>1.12</mqtt-client-version>
<msv-version>2013.6.1</msv-version>
<mustache-java-version>0.9.1</mustache-java-version>
<mustache-guava-version>16.0</mustache-guava-version>
<!-- 0.9.x is not working: https://issues.apache.org/jira/browse/SM-2898 -->
<mustache-bundle-version>0.8.18_1</mustache-bundle-version>
<mvel-version>2.2.7.Final</mvel-version>
<mybatis-version>3.3.1</mybatis-version>
<neethi-bundle-version>3.0.1</neethi-bundle-version>
<netty3-version>3.10.5.Final</netty3-version>
<netty-version>4.0.34.Final</netty-version>
<netty41-version>4.1.0.CR3</netty41-version>
<noggit-bundle-version>0.5_1</noggit-bundle-version>
<!-- should be in-sync with deltaspike -->
<openwebbeans1-version>1.2.7</openwebbeans1-version>
<openwebbeans-version>1.6.3</openwebbeans-version>
<oauth-provider-bundle-version>20100527_1</oauth-provider-bundle-version>
<olingo2-version>2.0.6</olingo2-version>
<olingo-odata2-core-bundle-version>2.0.6_1</olingo-odata2-core-bundle-version>
<olingo2-gson-version>2.4</olingo2-gson-version>
<ognl-version>3.1.2</ognl-version>
<ognl-bundle-version>3.1.2_1</ognl-bundle-version>
<oncrpc-version>1.1.2</oncrpc-version>
<openejb-version>4.7.4</openejb-version>
<openjpa-version>2.4.1</openjpa-version>
<openshift-java-client-version>2.7.0.Final</openshift-java-client-version>
<openshift-client-version>1.3.74</openshift-client-version>
<optaplanner-version>6.3.0.Final</optaplanner-version>
<oro-bundle-version>2.0.8_6</oro-bundle-version>
<oscache-bundle-version>2.4_5</oscache-bundle-version>
<osgi-version>4.3.1</osgi-version>
<paho-version>1.0.2</paho-version>
<paranamer-bundle-version>2.8_1</paranamer-bundle-version>
<pax-cdi-version>1.0.0.RC1</pax-cdi-version>
<pax-exam-version>4.8.0</pax-exam-version>
<pax-tiny-bundle-version>1.3.2</pax-tiny-bundle-version>
<pax-logging-version>1.8.5</pax-logging-version>
<pdfbox-version>1.8.11</pdfbox-version>
<pgjdbc-ng-driver-version>0.6</pgjdbc-ng-driver-version>
<powermock-version>1.6.1</powermock-version>
<protobuf-version>2.6.1</protobuf-version>
<qpid-bundle-version>0.28_1</qpid-bundle-version>
<qpid-version>0.28</qpid-version>
<qpid-jms-client-version>0.8.0</qpid-jms-client-version>
<quartz-bundle-version>1.8.6_1</quartz-bundle-version>
<quartz-version>1.8.6</quartz-version>
<quartz-version-range>[1.8,2)</quartz-version-range>
<quartz2-version>2.2.2</quartz2-version>
<quickfix-bundle-version>1.6.1_1</quickfix-bundle-version>
<rabbitmq-amqp-client-version>3.6.1</rabbitmq-amqp-client-version>
<reflections-bundle-version>0.9.10_3</reflections-bundle-version>
<regexp-bundle-version>1.4_1</regexp-bundle-version>
<rest-assured-version>2.7.0</rest-assured-version>
<restlet-version>2.3.6</restlet-version>
<rhino-bundle-version>1.7R2_3</rhino-bundle-version>
<rhino-version>1.7R2</rhino-version>
<rome-bundle-version>1.0_3</rome-bundle-version>
<rome-version>1.0</rome-version>
<rxjava-version>1.1.2</rxjava-version>
<saaj-impl-version>1.3.2_2</saaj-impl-version>
<saxon-bundle-version>9.5.1-5_1</saxon-bundle-version>
<saxon-version>9.5.1-5</saxon-version>
<scala-version>2.11.7</scala-version>
<scala-2.10-version>2.10.4</scala-2.10-version>
<scala-maven-plugin-version>3.2.2</scala-maven-plugin-version>
<scalatest-version>2.2.5</scalatest-version>
<scalaxml-version>1.0.4</scalaxml-version>
<scribe-version>1.3.7</scribe-version>
<scribe-bundle-version>1.3.7_1</scribe-bundle-version>
<scriptengines-version>1.1.1</scriptengines-version>
<serp-bundle-version>1.14.1_1</serp-bundle-version>
<servicemix-specs-version>2.6.0</servicemix-specs-version>
<servlet-api-3.0-version>1.0</servlet-api-3.0-version>
<servlet-version-range>[3,4)</servlet-version-range>
<shiro-version>1.2.4</shiro-version>
<shrinkwrap-descriptors-version>2.0.0-alpha-8</shrinkwrap-descriptors-version>
<sip-api-version>1.1</sip-api-version>
<slf4j-api-version>1.7.13</slf4j-api-version>
<slf4j-version>1.7.13</slf4j-version>
<smack-bundle-version>4.0.6</smack-bundle-version>
<smack-version>4.0.7</smack-version>
<snakeyaml-version>1.17</snakeyaml-version>
<snappy-version>1.1.2.1</snappy-version>
<snmp4j-version>2.3.4_1</snmp4j-version>
<solr-bundle-version>5.3.1_1</solr-bundle-version>
<solr-version>5.3.1</solr-version>
<solr-version-range>[5,6)</solr-version-range>
<spark-version>1.6.1</spark-version>
<spark-rest-version>2.3</spark-rest-version>
<spark-rest-bundle-version>2.3_1</spark-rest-bundle-version>
<splunk-version>1.5.0.0_1</splunk-version>
<spring-batch-version>3.0.6.RELEASE</spring-batch-version>
<spring-batch-bundle-version>3.0.6.RELEASE_1</spring-batch-bundle-version>
<spring-boot-version>1.3.3.RELEASE</spring-boot-version>
<spring-castor-bundle-version>1.2.0</spring-castor-bundle-version>
<spring-data-commons-version>1.6.5.RELEASE</spring-data-commons-version>
<spring-data-redis-version>1.6.4.RELEASE</spring-data-redis-version>
<spring-integration-version>4.2.3.RELEASE</spring-integration-version>
<spring-javaconfig-version>1.0.0-20090215</spring-javaconfig-version>
<spring-ldap-version>2.0.4.RELEASE</spring-ldap-version>
<spring-ldap-bundle-version>2.0.3.RELEASE_1</spring-ldap-bundle-version>
<!-- spring 1.1.0 is not OSGi bundle any more -->
<spring-retry-version>1.0.3.RELEASE</spring-retry-version>
<!-- spring-dm only supports spring 3.x -->
<spring-dm-version-range>[3.2,4)</spring-dm-version-range>
<!-- karaf 2.x/3.x/4.x supports spring 4.1 onwards -->
<spring-version-range>[4.1,5)</spring-version-range>
<!-- and special for only spring 4.0.x -->
<spring40-version-range>[4.0,4.1)</spring40-version-range>
<!-- and for spring 4.2.x onwards-->
<spring42-version-range>[4.2,5)</spring42-version-range>
<spring-version>${spring4-version}</spring-version>
<spring32-version>3.2.15.RELEASE</spring32-version>
<spring40-version>4.0.9.RELEASE</spring40-version>
<spring41-version>4.1.9.RELEASE</spring41-version>
<spring42-version>4.2.5.RELEASE</spring42-version>
<spring4-version>4.2.5.RELEASE</spring4-version>
<spring-osgi-version>1.2.1</spring-osgi-version>
<spring-security-version>4.0.4.RELEASE</spring-security-version>
<spring-security-bundle-version>4.0.3.RELEASE_1</spring-security-bundle-version>
<spring-ws-bundle-version>2.2.4.RELEASE_1</spring-ws-bundle-version>
<spring-ws-version>2.2.4.RELEASE</spring-ws-version>
<spymemcached-bundle-version>2.5_2</spymemcached-bundle-version> <!-- FIXME cmueller: not in sync! -->
<spymemcached-version>2.12.0</spymemcached-version>
<squareup-okhttp-version>2.7.5</squareup-okhttp-version>
<squareup-okio-version>1.6.0</squareup-okio-version>
<sshd-version>0.14.0</sshd-version>
<stompjms-version>1.19</stompjms-version>
<swagger-scala-version>1.3.12</swagger-scala-version>
<swagger-scala-guava-version>15.0</swagger-scala-guava-version>
<swagger-scala-bundle-version>1.3.12_1</swagger-scala-bundle-version>
<swagger-java-version>1.5.8</swagger-java-version>
<swagger-java-guava-version>18.0</swagger-java-guava-version>
<stax-api-version>1.0.1</stax-api-version>
<stax2-api-bundle-version>3.1.4</stax2-api-bundle-version>
<stringtemplate-bundle-version>4.0.8_1</stringtemplate-bundle-version>
<stringtemplate-version>4.0.8</stringtemplate-version>
<tagsoup-bundle-version>1.2.1_1</tagsoup-bundle-version>
<tagsoup-version>1.2.1</tagsoup-version>
<testng-version>6.8.21</testng-version>
<twitter4j-bundle-version>4.0.4_1</twitter4j-bundle-version>
<twitter4j-version>4.0.4</twitter4j-version>
<undertow-version>1.3.19.Final</undertow-version>
<univocity-parsers-version>2.0.0</univocity-parsers-version>
<unix-socket-factory-version>2015-01-27T15-02-14</unix-socket-factory-version>
<unix-socket-factory-bundle-version>1.0.0</unix-socket-factory-bundle-version>
<urlrewritefilter-version>4.0.4</urlrewritefilter-version>
<urlrewritefilter-bundle-version>4.0.4_1</urlrewritefilter-bundle-version>
<validation-api-version>1.1.0.Final</validation-api-version>
<velocity-bundle-version>1.7_6</velocity-bundle-version>
<velocity-tools-version>2.0</velocity-tools-version>
<velocity-version>1.7</velocity-version>
<vertx-version>3.2.1</vertx-version>
<vysper-version>0.7</vysper-version>
<weld1-version>1.1.28.Final</weld1-version>
<weld2-version>2.3.3.Final</weld2-version>
<werken-xpath-bundle-version>0.9.4_5</werken-xpath-bundle-version>
<woodstox-version>4.4.1</woodstox-version>
<ws-commons-util-bundle-version>1.0.2_2</ws-commons-util-bundle-version>
<wsdl4j-bundle-version>1.6.2_6</wsdl4j-bundle-version>
<wsdl4j-version>1.6.2</wsdl4j-version>
<xalan-bundle-version>2.7.2_2</xalan-bundle-version>
<xalan-version>2.7.2</xalan-version>
<xbean-spring-version>3.18</xbean-spring-version>
<!-- xbean-asm4-bundle is used by openjpa -->
<xbean-asm4-bundle-version>3.14</xbean-asm4-bundle-version>
<xerces-bundle-version>2.11.0_1</xerces-bundle-version>
<xerces-version>2.11.0</xerces-version>
<!-- needed to manage the xml-apis version in camel-xmljson -->
<xml-apis-version>1.4.01</xml-apis-version>
<xml-resolver-version>1.2</xml-resolver-version>
<xmlbeans-bundle-version>2.6.0_2</xmlbeans-bundle-version>
<xmlbeans-maven-plugin-version>2.3.3</xmlbeans-maven-plugin-version>
<xmlbeans-version>2.6.0</xmlbeans-version>
<xmlgraphics-commons-bundle-version>1.5_1</xmlgraphics-commons-bundle-version>
<xmlgraphics-batik-version>1.7</xmlgraphics-batik-version>
<xmlresolver-bundle-version>1.2_5</xmlresolver-bundle-version>
<xmlrpc-version>3.1.3</xmlrpc-version>
<xmlrpc-client-bundle-version>3.1.3_1</xmlrpc-client-bundle-version>
<xmlsec-version>2.0.6</xmlsec-version>
<xmlunit-version>1.6</xmlunit-version>
<xpp3-bundle-version>1.1.4c_7</xpp3-bundle-version>
<xpp3-version>1.1.4c</xpp3-version>
<xsdlib-version>2013.2</xsdlib-version>
<xstream-bundle-version>1.4.8_1</xstream-bundle-version>
<xstream-version>1.4.8</xstream-version>
<xom-version>1.2.5</xom-version>
<yammer-metrics-version>2.2.0</yammer-metrics-version>
<zkclient-version>0.8</zkclient-version>
<zookeeper-version>3.4.8</zookeeper-version>
<zxing-version>3.2.1</zxing-version>
<zxing-bundle-version>3.2.1_1</zxing-bundle-version>
<!-- OSGi bundles properties -->
<camel.osgi.import.camel.version>version="[$(version;==;${camel.osgi.version.clean}),$(version;=+;${camel.osgi.version.clean}))"</camel.osgi.import.camel.version>
<camel.osgi.import.strict.version>version="[$(version;===;${camel.osgi.version.clean}),$(version;==+;${camel.osgi.version.clean}))"</camel.osgi.import.strict.version>
<camel.osgi.import.default.version>[$(version;==;$(@)),$(version;+;$(@)))</camel.osgi.import.default.version>
<camel.osgi.import.defaults>
org.osgi.framework;version="[1.5,2)",
org.osgi.framework.wiring;version="[1.0,2)",
org.springframework.ws.*;version="[2,3)",
org.springframework.xml.*;version="[2,3)",
org.springframework.*;version="${spring-version-range}",
org.apache.commons.logging.*;version="[1.1,2)",
org.apache.cxf.*;version="${cxf-version-range}",
org.apache.qpid.*;version="[0.20,1)",
org.apache.abdera.*;version="[0.4,2)",
org.apache.commons.httpclient.*;version="[3.1,4.0)",
org.apache.velocity.*;version="[1.6.2,2)",
org.apache.xmlbeans.*;version="[2.4,3)",
org.eclipse.jetty.*;version="[8.0,10)",
com.thoughtworks.xstream.*;version="[1.4.7,2)",
org.antlr.stringtemplate.*;version="[3.0,4)",
org.ccil.cowan.tagsoup.*;version="[1.2,2)",
org.mortbay.cometd.*;version="[6.1,7)",
org.slf4j.*;version="[1.6,2)",
net.sf.flatpack.*;version="[3.1.1,4)",
net.sf.saxon.*;version="[9.3.0,9.6)",
freemarker.*;version="[2.3.15,3)",
javax.persistence.*;version="[1.1,3)",
org.apache.lucene.*;version="${lucene-version-range}",
org.apache.solr.*;version="${solr-version-range}",
</camel.osgi.import.defaults>
<camel.osgi.import.before.defaults />
<camel.osgi.import.additional />
<camel.osgi.import.pkg>
!${camel.osgi.export.pkg},
org.apache.camel.*;${camel.osgi.import.camel.version},
${camel.osgi.import.before.defaults},
${camel.osgi.import.defaults},
${camel.osgi.import.additional},
*
</camel.osgi.import.pkg>
<camel.osgi.activator />
<camel.osgi.failok>false</camel.osgi.failok>
<camel.osgi.private.pkg>!*</camel.osgi.private.pkg>
<camel.osgi.export>${camel.osgi.export.pkg};${camel.osgi.version}</camel.osgi.export>
<camel.osgi.version>version=${project.version}</camel.osgi.version>
<camel.osgi.split.pkg>-split-package:=first</camel.osgi.split.pkg>
<camel.osgi.import>${camel.osgi.import.pkg}</camel.osgi.import>
<camel.osgi.dynamic />
<camel.osgi.symbolic.name>${project.groupId}.${project.artifactId}</camel.osgi.symbolic.name>
<camel.osgi.exclude.dependencies>false</camel.osgi.exclude.dependencies>
<camel.osgi.require.capability />
<camel.osgi.provide.capability />
</properties>
<dependencyManagement>
<dependencies>
<!-- camel components -->
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>apt</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-core</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ahc</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ahc-ws</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-amqp</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-atmos</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-apns</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-atmosphere-websocket</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-atom</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-avro</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-aws</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-bam</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-barcode</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-base64</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-bean-validator</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-beanio</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-beanstalk</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-bindy</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-blueprint</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-boon</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-box</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-braintree</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-cache</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-cassandraql</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-castor</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-cdi</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-chunk</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-cmis</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-cometd</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-context</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-core-xml</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-couchdb</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-core-osgi</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-crypto</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-csv</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-cxf</artifactId>
<version>${project.version}</version>
<exclusions>
<exclusion>
<groupId>com.sun.xml.bind</groupId>
<artifactId>jaxb-impl</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-cxf-transport</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-disruptor</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-dns</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-docker</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-dozer</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-dropbox</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-eclipse</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ejb</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-elasticsearch</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-elsql</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-etcd</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-eventadmin</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-exec</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-facebook</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-flatpack</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-fop</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-freemarker</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ftp</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-gae</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ganglia</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-geocoder</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-git</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-github</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-google-calendar</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-google-drive</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-google-mail</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-gora</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-groovy</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-guava-eventbus</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-guice</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-gson</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-hawtdb</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-hazelcast</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-hbase</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-hdfs</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-hdfs2</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-hessian</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-hipchat</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-hl7</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-http</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-http-common</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-http4</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ibatis</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ical</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-infinispan</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ignite</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-irc</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ironmq</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jackson</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jacksonxml</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jasypt</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-javaspace</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jaxb</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jbpm</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jclouds</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jcache</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jcr</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jdbc</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jetty-common</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jetty</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jetty8</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jetty9</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jgroups</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jibx</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jira</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jing</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jms</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jmx</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jolt</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-josql</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jpa</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jsch</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jsonpath</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jt400</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-juel</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-jxpath</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-kafka</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-kestrel</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-krati</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-kura</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-kubernetes</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-lucene</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ldap</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-leveldb</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-linkedin-api</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-linkedin</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-lzf</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-mail</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-metrics</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-mina</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-mina2</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-mllp</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-mongodb</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-mongodb-gridfs</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-mqtt</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-msv</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-mustache</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-mvel</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-mybatis</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-nagios</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-nats</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-netty</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-netty4</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-netty-http</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-netty4-http</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ognl</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-olingo2-api</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-olingo2</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-openshift</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-optaplanner</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-paho</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-paxlogging</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-pdf</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-pgevent</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-printer</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-protobuf</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-quartz</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-quartz2</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-quickfix</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-rabbitmq</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-restlet</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-rmi</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-routebox</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ruby</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-rss</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-rx</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-sap-netweaver</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-salesforce</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-saxon</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-scala</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-schematron</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-scr</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-script</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-servlet</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-servletlistener</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-sip</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-shiro</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-sjms</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-slack</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-soap</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-solr</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-spark-rest</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-splunk</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-snakeyaml</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-snmp</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-smpp</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-spring</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-spring-batch</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-spring-boot</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-spring-boot-starter</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-spring-integration</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-spring-javaconfig</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-spring-ldap</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-spring-redis</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-spring-security</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-spring-ws</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-sql</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-ssh</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-stax</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-stream</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-stomp</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-stringtemplate</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-syslog</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-swagger</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-swagger-java</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-tagsoup</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-test</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-test-blueprint</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-test-cdi</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-test-spring</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-test-spring3</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-test-spring40</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-testng</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-twitter</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-undertow</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-univocity-parsers</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-urlrewrite</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-velocity</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-vertx</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-weather</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-websocket</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-xmlbeans</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-xmljson</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-xmlrpc</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-xmlsecurity</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-xmpp</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-xstream</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-yammer</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-zipfile</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-zookeeper</artifactId>
<version>${project.version}</version>
</dependency>
<!-- camel commands -->
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-catalog</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-catalog-lucene</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-commands-core</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-commands-jolokia</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-commands-spring-boot</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel.karaf</groupId>
<artifactId>camel-karaf-commands</artifactId>
<version>${project.version}</version>
</dependency>
<!-- camel misc -->
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-manual</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.apache.camel.tests</groupId>
<artifactId>org.apache.camel.tests.mock-javamail_1.7</artifactId>
<version>${project.version}</version>
</dependency>
<!-- testing jars -->
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-core</artifactId>
<type>test-jar</type>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.core</groupId>
<artifactId>jackson-annotations</artifactId>
<version>${jackson2-version}</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.core</groupId>
<artifactId>jackson-core</artifactId>
<version>${jackson2-version}</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.core</groupId>
<artifactId>jackson-databind</artifactId>
<version>${jackson2-version}</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.dataformat</groupId>
<artifactId>jackson-dataformat-cbor</artifactId>
<version>${jackson2-version}</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.dataformat</groupId>
<artifactId>jackson-dataformat-smile</artifactId>
<version>${jackson2-version}</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.dataformat</groupId>
<artifactId>jackson-dataformat-xml</artifactId>
<version>${jackson2-version}</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.dataformat</groupId>
<artifactId>jackson-dataformat-yaml</artifactId>
<version>${jackson2-version}</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.datatype</groupId>
<artifactId>jackson-datatype-joda</artifactId>
<version>${jackson2-version}</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.jaxrs</groupId>
<artifactId>jackson-jaxrs-base</artifactId>
<version>${jackson2-version}</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.jaxrs</groupId>
<artifactId>jackson-jaxrs-json-provider</artifactId>
<version>${jackson2-version}</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.module</groupId>
<artifactId>jackson-module-jaxb-annotations</artifactId>
<version>${jackson2-version}</version>
</dependency>
<!-- abdera dependencies-->
<dependency>
<groupId>org.apache.abdera</groupId>
<artifactId>abdera-core</artifactId>
<version>${abdera-version}</version>
</dependency>
<!-- commons dependencies -->
<dependency>
<groupId>org.apache.commons</groupId>
<artifactId>commons-pool2</artifactId>
<version>${commons-pool2-version}</version>
</dependency>
<!-- cxf dependencies -->
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-core</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-bindings-soap</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-bindings-xml</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-databinding-jaxb</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-frontend-jaxrs</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-frontend-jaxws</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-frontend-simple</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-management</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-transports-local</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-transports-http</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-transports-jms</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-wsdl</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-ws-addr</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-ws-mex</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-ws-policy</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-ws-rm</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-rt-ws-security</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf.services.sts</groupId>
<artifactId>cxf-services-sts-core</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.cxf.services.ws-discovery</groupId>
<artifactId>cxf-services-ws-discovery-api</artifactId>
<version>${cxf-version}</version>
</dependency>
<dependency>
<groupId>org.apache.kafka</groupId>
<artifactId>kafka_2.11</artifactId>
<version>${kafka-version}</version>
</dependency>
<dependency>
<groupId>org.apache.kafka</groupId>
<artifactId>kafka-clients</artifactId>
<version>${kafka-version}</version>
</dependency>
<!-- API -->
<dependency>
<groupId>com.googlecode.concurrentlinkedhashmap</groupId>
<artifactId>concurrentlinkedhashmap-lru</artifactId>
<version>${concurrentlinkedhashmap.version}</version>
</dependency>
<!-- optional dependencies -->
<dependency>
<groupId>stax</groupId>
<artifactId>stax-api</artifactId>
<version>${stax-api-version}</version>
</dependency>
<dependency>
<groupId>com.sun.xml.bind</groupId>
<artifactId>jaxb-impl</artifactId>
<version>${jaxb-version}</version>
<exclusions>
<exclusion>
<groupId>javax.jws</groupId>
<artifactId>jsr181-api</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>com.sun.xml.bind</groupId>
<artifactId>jaxb-core</artifactId>
<version>${jaxb-version}</version>
</dependency>
<dependency>
<groupId>com.sun.xml.bind</groupId>
<artifactId>jaxb-jxc</artifactId>
<version>${jaxb-version}</version>
</dependency>
<dependency>
<groupId>com.sun.xml.parsers</groupId>
<artifactId>jaxp-ri</artifactId>
<version>1.4.5</version>
</dependency>
<!-- beanshell -->
<dependency>
<groupId>org.beanshell</groupId>
<artifactId>bsh</artifactId>
<version>${bsh-version}</version>
</dependency>
<!-- logging -->
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-api</artifactId>
<version>${slf4j-api-version}</version>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-log4j12</artifactId>
<version>${slf4j-version}</version>
</dependency>
<dependency>
<groupId>log4j</groupId>
<artifactId>log4j</artifactId>
<version>${log4j-version}</version>
</dependency>
<!-- commons-logging needed by Spring -->
<dependency>
<groupId>commons-logging</groupId>
<artifactId>commons-logging</artifactId>
<version>${commons-logging-version}</version>
</dependency>
<dependency>
<groupId>commons-codec</groupId>
<artifactId>commons-codec</artifactId>
<version>${commons-codec-version}</version>
</dependency>
<!-- optional dependencies for osgi -->
<dependency>
<groupId>org.osgi</groupId>
<artifactId>org.osgi.core</artifactId>
<version>${osgi-version}</version>
</dependency>
<dependency>
<groupId>org.osgi</groupId>
<artifactId>org.osgi.compendium</artifactId>
<version>${osgi-version}</version>
</dependency>
<!-- optional dependencies for JMS -->
<dependency>
<groupId>org.apache.activemq</groupId>
<artifactId>activemq-broker</artifactId>
<version>${activemq-version}</version>
</dependency>
<dependency>
<groupId>org.apache.activemq</groupId>
<artifactId>activemq-kahadb-store</artifactId>
<version>${activemq-version}</version>
</dependency>
<dependency>
<groupId>org.apache.activemq</groupId>
<artifactId>activemq-client</artifactId>
<version>${activemq-version}</version>
</dependency>
<dependency>
<groupId>org.apache.activemq</groupId>
<artifactId>activemq-spring</artifactId>
<version>${activemq-version}</version>
</dependency>
<dependency>
<groupId>org.apache.activemq</groupId>
<artifactId>activemq-camel</artifactId>
<version>${activemq-version}</version>
</dependency>
<dependency>
<groupId>org.apache.activemq</groupId>
<artifactId>activemq-pool</artifactId>
<version>${activemq-version}</version>
</dependency>
<dependency>
<groupId>org.apache.activemq</groupId>
<artifactId>activemq-rar</artifactId>
<version>${activemq-version}</version>
<type>rar</type>
</dependency>
<dependency>
<groupId>org.apache.activemq</groupId>
<artifactId>activemq-all</artifactId>
<version>${activemq-version}</version>
</dependency>
<dependency>
<groupId>org.apache.xbean</groupId>
<artifactId>xbean-spring</artifactId>
<version>${xbean-spring-version}</version>
</dependency>
<!-- spec jars -->
<dependency>
<groupId>org.apache.geronimo.specs</groupId>
<artifactId>geronimo-j2ee-connector_1.5_spec</artifactId>
<version>${geronimo-j2ee-connector-spec-version}</version>
</dependency>
<dependency>
<groupId>org.apache.geronimo.specs</groupId>
<artifactId>geronimo-j2ee-jacc_1.0_spec</artifactId>
<version>${geronimo-j2ee-jacc-spec-version}</version>
</dependency>
<dependency>
<groupId>org.apache.geronimo.specs</groupId>
<artifactId>geronimo-j2ee-management_1.0_spec</artifactId>
<version>${geronimo-j2ee-management-spec-version}</version>
</dependency>
<dependency>
<groupId>org.apache.geronimo.specs</groupId>
<artifactId>geronimo-jms_1.1_spec</artifactId>
<version>${geronimo-jms-spec-version}</version>
</dependency>
<dependency>
<groupId>org.apache.geronimo.specs</groupId>
<artifactId>geronimo-jpa_2.0_spec</artifactId>
<version>${geronimo-jpa2-spec-version}</version>
</dependency>
<dependency>
<groupId>org.apache.geronimo.specs</groupId>
<artifactId>geronimo-jta_1.1_spec</artifactId>
<version>${geronimo-jta-spec-version}</version>
</dependency>
<dependency>
<groupId>javax.servlet</groupId>
<artifactId>javax.servlet-api</artifactId>
<version>${javax.servlet-api-version}</version>
</dependency>
<!-- Optional Spring Support -->
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-context</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-test</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-core</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-beans</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-web</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-aop</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-jdbc</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-orm</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-jms</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-context-support</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-tx</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-expression</artifactId>
<version>${spring-version}</version>
</dependency>
<dependency>
<groupId>org.springframework.osgi</groupId>
<artifactId>spring-osgi-core</artifactId>
<version>${spring-osgi-version}</version>
</dependency>
<dependency>
<groupId>org.springframework.osgi</groupId>
<artifactId>spring-osgi-mock</artifactId>
<version>${spring-osgi-version}</version>
</dependency>
<dependency>
<groupId>org.springframework.security</groupId>
<artifactId>spring-security-config</artifactId>
<version>${spring-security-version}</version>
</dependency>
<dependency>
<groupId>org.springframework.security</groupId>
<artifactId>spring-security-core</artifactId>
<version>${spring-security-version}</version>
</dependency>
<!-- spring-boot support -->
<dependency>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-starter</artifactId>
<version>${spring-boot-version}</version>
</dependency>
<dependency>
<groupId>org.springframework.boot</groupId>
<artifactId>spring-boot-starter-web</artifactId>
<version>${spring-boot-version}</version>
</dependency>
<dependency>
<groupId>org.scala-lang</groupId>
<artifactId>scala-library</artifactId>
<version>${scala-version}</version>
</dependency>
<dependency>
<groupId>javax.annotation</groupId>
<artifactId>jsr250-api</artifactId>
<version>1.0</version>
</dependency>
<!-- optional guice dependencies -->
<dependency>
<groupId>com.google.inject</groupId>
<artifactId>guice</artifactId>
<version>${guice-version}</version>
</dependency>
<dependency>
<groupId>com.google.guava</groupId>
<artifactId>guava</artifactId>
<version>${google-guava-version}</version>
</dependency>
<!-- optional castor dependencies -->
<dependency>
<groupId>org.codehaus.castor</groupId>
<artifactId>castor-xml</artifactId>
<version>${castor-version}</version>
</dependency>
<dependency>
<groupId>org.apache.servicemix.bundles</groupId>
<artifactId>org.apache.servicemix.bundles.castor</artifactId>
<version>${castor-bundle-version}</version>
</dependency>
<!-- optional hapi dependencies -->
<dependency>
<groupId>ca.uhn.hapi</groupId>
<artifactId>hapi-structures-v24</artifactId>
<version>${hapi-version}</version>
</dependency>
<dependency>
<groupId>ca.uhn.hapi</groupId>
<artifactId>hapi-structures-v25</artifactId>
<version>${hapi-version}</version>
</dependency>
<!-- optional disruptor dependencies -->
<dependency>
<groupId>com.lmax</groupId>
<artifactId>disruptor</artifactId>
<version>${disruptor-version}</version>
</dependency>
<!-- optional dozer dependencies -->
<dependency>
<groupId>net.sf.dozer</groupId>
<artifactId>dozer</artifactId>
<version>${dozer-version}</version>
</dependency>
<!-- optional Dropbox dependencies -->
<dependency>
<groupId>com.dropbox.core</groupId>
<artifactId>dropbox-core-sdk</artifactId>
<version>${dropbox-version}</version>
</dependency>
<!-- optional lucene dependencies -->
<dependency>
<groupId>org.apache.lucene</groupId>
<artifactId>lucene-analyzers-common</artifactId>
<version>${lucene-version}</version>
</dependency>
<dependency>
<groupId>org.apache.lucene</groupId>
<artifactId>lucene-backward-codecs</artifactId>
<version>${lucene-version}</version>
</dependency>
<dependency>
<groupId>org.apache.lucene</groupId>
<artifactId>lucene-core</artifactId>
<version>${lucene-version}</version>
</dependency>
<dependency>
<groupId>org.apache.lucene</groupId>
<artifactId>lucene-misc</artifactId>
<version>${lucene-version}</version>
</dependency>
<dependency>
<groupId>org.apache.lucene</groupId>
<artifactId>lucene-queryparser</artifactId>
<version>${lucene-version}</version>
</dependency>
<dependency>
<groupId>org.apache.lucene</groupId>
<artifactId>lucene-queries</artifactId>
<version>${lucene-version}</version>
</dependency>
<dependency>
<groupId>org.apache.lucene</groupId>
<artifactId>lucene-suggest</artifactId>
<version>${lucene-version}</version>
</dependency>
<!-- optional mina dependencies -->
<dependency>
<groupId>org.apache.mina</groupId>
<artifactId>mina-core</artifactId>
<version>${mina2-version}</version>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-simple</artifactId>
<version>${slf4j-version}</version>
</dependency>
<!-- optional jakarta http core support -->
<dependency>
<groupId>org.apache.httpcomponents</groupId>
<artifactId>httpcore</artifactId>
<version>${httpcore4-version}</version>
</dependency>
<dependency>
<groupId>org.apache.httpcomponents</groupId>
<artifactId>httpcore-nio</artifactId>
<version>${httpcore4-version}</version>
</dependency>
<!-- optional scripting support -->
<dependency>
<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-all</artifactId>
<version>${groovy-version}</version>
</dependency>
<dependency>
<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-jsr223</artifactId>
<version>${groovy-version}</version>
</dependency>
<!-- optional ognl support -->
<dependency>
<groupId>ognl</groupId>
<artifactId>ognl</artifactId>
<version>${ognl-version}</version>
</dependency>
<dependency>
<groupId>org.apache.servicemix.bundles</groupId>
<artifactId>org.apache.servicemix.bundles.ognl</artifactId>
<version>${ognl-bundle-version}</version>
</dependency>
<!-- optional Pax support -->
<dependency>
<groupId>org.ops4j.pax.exam</groupId>
<artifactId>pax-exam</artifactId>
<version>${pax-exam-version}</version>
</dependency>
<dependency>
<groupId>org.ops4j.pax.exam</groupId>
<artifactId>pax-exam-junit4</artifactId>
<version>${pax-exam-version}</version>
</dependency>
<dependency>
<groupId>org.ops4j.pax.exam</groupId>
<artifactId>pax-exam-container-karaf</artifactId>
<version>${pax-exam-version}</version>
</dependency>
<dependency>
<groupId>org.ops4j.pax.exam</groupId>
<artifactId>pax-exam-link-mvn</artifactId>
<version>${pax-exam-version}</version>
</dependency>
<dependency>
<groupId>org.ops4j.pax.swissbox</groupId>
<artifactId>pax-swissbox-tinybundles</artifactId>
<version>${pax-tiny-bundle-version}</version>
</dependency>
<dependency>
<groupId>org.ops4j.pax.exam</groupId>
<artifactId>pax-exam-invoker-junit</artifactId>
<version>${pax-exam-version}</version>
</dependency>
<!-- optional Saxon support -->
<dependency>
<groupId>net.sf.saxon</groupId>
<artifactId>Saxon-HE</artifactId>
<version>${saxon-version}</version>
</dependency>
<!-- unit testing frameworks -->
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>${junit-version}</version>
</dependency>
<dependency>
<groupId>org.testng</groupId>
<artifactId>testng</artifactId>
<version>${testng-version}</version>
</dependency>
<dependency>
<groupId>com.google.truth</groupId>
<artifactId>truth</artifactId>
<version>${google-truth-version}</version>
</dependency>
<dependency>
<groupId>com.jayway.awaitility</groupId>
<artifactId>awaitility</artifactId>
<version>${awaitility.version}</version>
</dependency>
<dependency>
<groupId>org.easymock</groupId>
<artifactId>easymock</artifactId>
<version>${easymock-version}</version>
</dependency>
<dependency>
<groupId>org.easymock</groupId>
<artifactId>easymockclassextension</artifactId>
<version>${easymock-version}</version>
</dependency>
<dependency>
<groupId>org.mockito</groupId>
<artifactId>mockito-core</artifactId>
<version>${mockito-version}</version>
<exclusions>
<exclusion>
<artifactId>hamcrest-core</artifactId>
<groupId>org.hamcrest</groupId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>httpunit</groupId>
<artifactId>httpunit</artifactId>
<version>${httpunit-version}</version>
</dependency>
<!-- default JPA support -->
<dependency>
<groupId>org.apache.openjpa</groupId>
<artifactId>openjpa-persistence-jdbc</artifactId>
<version>${openjpa-version}</version>
</dependency>
<!-- optional Ehcache -->
<dependency>
<groupId>net.sf.ehcache</groupId>
<artifactId>ehcache</artifactId>
<version>${ehcache-version}</version>
</dependency>
<!-- hibernate and other db systems -->
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-entitymanager</artifactId>
<version>${hibernate-version}</version>
<exclusions>
<exclusion>
<groupId>javax.transaction</groupId>
<artifactId>jta</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.apache.derby</groupId>
<artifactId>derby</artifactId>
<version>${derby-version}</version>
</dependency>
<dependency>
<groupId>org.hsqldb</groupId>
<artifactId>hsqldb</artifactId>
<version>${hsqldb-version}</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>de.flapdoodle.embed</groupId>
<artifactId>de.flapdoodle.embed.mongo</artifactId>
<version>${embedmongo-version}</version>
<scope>test</scope>
</dependency>
<!-- optional SNMP4J -->
<dependency>
<groupId>org.apache.servicemix.bundles</groupId>
<artifactId>org.apache.servicemix.bundles.snmp4j</artifactId>
<version>${snmp4j-version}</version>
</dependency>
<!-- optional XStream -->
<dependency>
<groupId>com.thoughtworks.xstream</groupId>
<artifactId>xstream</artifactId>
<version>${xstream-version}</version>
</dependency>
<!-- optional Jettison -->
<dependency>
<groupId>org.codehaus.jettison</groupId>
<artifactId>jettison</artifactId>
<version>${jettison-version}</version>
</dependency>
<!-- optional Tagsoup -->
<dependency>
<groupId>org.ccil.cowan.tagsoup</groupId>
<artifactId>tagsoup</artifactId>
<version>${tagsoup-version}</version>
</dependency>
<!-- optional Axiom -->
<dependency>
<groupId>org.apache.ws.commons.axiom</groupId>
<artifactId>axiom-api</artifactId>
<version>${axiom-version}</version>
</dependency>
<dependency>
<groupId>org.apache.ws.commons.axiom</groupId>
<artifactId>axiom-impl</artifactId>
<version>${axiom-version}</version>
</dependency>
<!-- Maven exec-plugin dependencies -->
<dependency>
<groupId>org.codehaus.mojo</groupId>
<artifactId>exec-maven-plugin</artifactId>
<version>${exec-maven-plugin-version}</version>
</dependency>
<!-- optional misc -->
<dependency>
<groupId>com.google.code.scriptengines</groupId>
<artifactId>scriptengines-javascript</artifactId>
<version>${scriptengines-version}</version>
</dependency>
<dependency>
<groupId>com.google.code.scriptengines</groupId>
<artifactId>scriptengines-jruby</artifactId>
<version>${scriptengines-version}</version>
</dependency>
<dependency>
<groupId>org.jruby</groupId>
<artifactId>jruby</artifactId>
<version>${jruby-version}</version>
</dependency>
<dependency>
<groupId>org.jruby</groupId>
<artifactId>jruby-complete</artifactId>
<version>${jruby-version}</version>
</dependency>
<dependency>
<groupId>org.python</groupId>
<artifactId>jython</artifactId>
<version>${jython-version}</version>
</dependency>
<dependency>
<groupId>rhino</groupId>
<artifactId>js</artifactId>
<version>${rhino-version}</version>
</dependency>
<dependency>
<groupId>org.jdom</groupId>
<artifactId>jdom</artifactId>
<version>${jdom-version}</version>
</dependency>
<dependency>
<groupId>commons-dbcp</groupId>
<artifactId>commons-dbcp</artifactId>
<version>${commons-dbcp-version}</version>
</dependency>
<dependency>
<groupId>commons-pool</groupId>
<artifactId>commons-pool</artifactId>
<version>${commons-pool-version}</version>
</dependency>
<dependency>
<groupId>commons-collections</groupId>
<artifactId>commons-collections</artifactId>
<version>${commons-collections-version}</version>
</dependency>
<dependency>
<groupId>commons-io</groupId>
<artifactId>commons-io</artifactId>
<version>${commons-io-version}</version>
</dependency>
<dependency>
<groupId>commons-httpclient</groupId>
<artifactId>commons-httpclient</artifactId>
<version>${httpclient-version}</version>
</dependency>
<dependency>
<groupId>xalan</groupId>
<artifactId>xalan</artifactId>
<version>${xalan-version}</version>
</dependency>
<dependency>
<groupId>xerces</groupId>
<artifactId>xercesImpl</artifactId>
<version>${xerces-version}</version>
</dependency>
<dependency>
<groupId>xml-apis</groupId>
<artifactId>xml-apis</artifactId>
<version>${xml-apis-version}</version>
</dependency>
<dependency>
<groupId>org.codehaus.woodstox</groupId>
<artifactId>woodstox-core-asl</artifactId>
<version>${woodstox-version}</version>
<exclusions>
<exclusion>
<groupId>javax.xml.stream</groupId>
<artifactId>stax-api</artifactId>
</exclusion>
</exclusions>
</dependency>
<!-- optional avro -->
<dependency>
<groupId>org.apache.avro</groupId>
<artifactId>avro</artifactId>
<version>${avro-version}</version>
</dependency>
<dependency>
<groupId>org.apache.avro</groupId>
<artifactId>avro-ipc</artifactId>
<version>${avro-version}</version>
</dependency>
<!-- optional ftpserver -->
<dependency>
<groupId>org.apache.ftpserver</groupId>
<artifactId>ftpserver-core</artifactId>
<version>${ftpserver-version}</version>
</dependency>
<dependency>
<groupId>org.apache.ftpserver</groupId>
<artifactId>ftplet-api</artifactId>
<version>${ftpserver-version}</version>
</dependency>
<!-- optional zookeeper dependency -->
<dependency>
<groupId>org.apache.zookeeper</groupId>
<artifactId>zookeeper</artifactId>
<version>${zookeeper-version}</version>
</dependency>
<!-- optional krati dependency -->
<dependency>
<groupId>com.sna-projects.krati</groupId>
<artifactId>krati</artifactId>
<version>${krati-version}</version>
</dependency>
<!-- optional OptaPlanner dependencies -->
<dependency>
<groupId>org.optaplanner</groupId>
<artifactId>optaplanner-bom</artifactId>
<type>pom</type>
<version>${optaplanner-version}</version>
<scope>import</scope>
</dependency>
<!-- blueprint -->
<dependency>
<groupId>org.apache.aries.blueprint</groupId>
<artifactId>org.apache.aries.blueprint.api</artifactId>
<version>${aries-blueprint-api-version}</version>
</dependency>
<dependency>
<groupId>org.apache.aries.blueprint</groupId>
<artifactId>org.apache.aries.blueprint.core</artifactId>
<version>${aries-blueprint-core-version}</version>
</dependency>
<dependency>
<groupId>org.apache.aries.blueprint</groupId>
<artifactId>org.apache.aries.blueprint.cm</artifactId>
<version>${aries-blueprint-cm-version}</version>
</dependency>
<!-- OSGi ConfigAdmin service -->
<dependency>
<groupId>org.apache.felix</groupId>
<artifactId>org.apache.felix.configadmin</artifactId>
<version>${felix-configadmin-version}</version>
</dependency>
<!-- Restlet -->
<dependency>
<groupId>org.restlet.jee</groupId>
<artifactId>org.restlet</artifactId>
<version>${restlet-version}</version>
</dependency>
<dependency>
<groupId>org.restlet.jee</groupId>
<artifactId>org.restlet.ext.httpclient</artifactId>
<version>${restlet-version}</version>
</dependency>
<!-- need this to use the new 'maven-archetype' packaging type -->
<dependency>
<groupId>org.apache.maven.archetype</groupId>
<artifactId>archetype-packaging</artifactId>
<version>${maven-archetype-packaging-version}</version>
</dependency>
</dependencies>
</dependencyManagement>
<build>
<defaultGoal>install</defaultGoal>
<pluginManagement>
<plugins>
<plugin>
<groupId>net.alchim31.maven</groupId>
<artifactId>scala-maven-plugin</artifactId>
<version>${scala-maven-plugin-version}</version>
<configuration>
<args>
<arg>-deprecation</arg>
</args>
</configuration>
<executions>
<execution>
<goals>
<goal>compile</goal>
<goal>testCompile</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.apache.cxf</groupId>
<artifactId>cxf-codegen-plugin</artifactId>
<version>${cxf-version}</version>
<configuration>
<fork>once</fork>
<defaultOptions>
<markGenerated>true</markGenerated>
<faultSerialVersionUID>1</faultSerialVersionUID>
</defaultOptions>
</configuration>
<dependencies>
<!-- needed to add this to get around the following error on
IBM's JDK org.apache.xerces.impl.dv.DVFactoryException: DTD factory class
org.apache.xerces.impl.dv.dtd.DTDDVFactoryImpl does not extend from DTDDVFactory. -->
<dependency>
<groupId>xerces</groupId>
<artifactId>xercesImpl</artifactId>
<version>${xerces-version}</version>
</dependency>
</dependencies>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-antrun-plugin</artifactId>
<version>${maven-antrun-plugin-version}</version>
<dependencies>
<dependency>
<groupId>com.sun.xml.bind</groupId>
<artifactId>jaxb-impl</artifactId>
<version>${jaxb-version}</version>
</dependency>
<dependency>
<groupId>com.sun.xml.bind</groupId>
<artifactId>jaxb-jxc</artifactId>
<version>${jaxb-version}</version>
</dependency>
<dependency>
<groupId>ant-contrib</groupId>
<artifactId>ant-contrib</artifactId>
<version>1.0b3</version>
<exclusions>
<exclusion>
<groupId>ant</groupId>
<artifactId>ant</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.apache.ant</groupId>
<artifactId>ant-trax</artifactId>
<version>1.8.0</version>
</dependency>
<dependency>
<groupId>org.apache.ant</groupId>
<artifactId>ant-nodeps</artifactId>
<version>1.8.1</version>
</dependency>
<dependency>
<groupId>org.apache.openjpa</groupId>
<artifactId>openjpa-persistence-jdbc</artifactId>
<version>${openjpa-version}</version>
<exclusions>
<exclusion>
<groupId>ant</groupId>
<artifactId>ant</artifactId>
</exclusion>
</exclusions>
</dependency>
</dependencies>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-archetype-plugin</artifactId>
<version>${maven-archetype-plugin-version}</version>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-checkstyle-plugin</artifactId>
<version>${maven-checkstyle-plugin-version}</version>
<dependencies>
<dependency>
<groupId>org.apache.camel</groupId>
<artifactId>camel-buildtools</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>com.puppycrawl.tools</groupId>
<artifactId>checkstyle</artifactId>
<version>${maven-checkstyle-version}</version>
</dependency>
</dependencies>
<executions>
<execution>
<id>validate</id>
<phase>validate</phase>
<configuration>
<includeResources>false</includeResources>
<configLocation>camel-checkstyle.xml</configLocation>
<consoleOutput>true</consoleOutput>
<failsOnError>true</failsOnError>
<linkXRef>false</linkXRef>
<suppressionsLocation>camel-checkstyle-suppressions.xml</suppressionsLocation>
<encoding>UTF-8</encoding>
<sourceDirectory>${basedir}/src</sourceDirectory>
<excludes>**/archetype-resources/**/*.java</excludes>
</configuration>
<goals>
<goal>checkstyle</goal>
</goals>
</execution>
</executions>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-clean-plugin</artifactId>
<configuration>